Module org.jfree.chart3d
Package org.jfree.chart3d.label

# Enum Class ItemLabelPositioning

java.lang.Object
java.lang.Enum<ItemLabelPositioning>
org.jfree.chart3d.label.ItemLabelPositioning

All Implemented Interfaces:
  `Serializable`, `Comparable<ItemLabelPositioning>`, `Constable`

public enum ItemLabelPositioning extends Enum<ItemLabelPositioning>
An enumeration of the item label positioning types.

Since:
  1.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTRAL`
A single label is placed centrally.
`FRONT_AND_BACK`
Labels are placed at the front and the back (typically only one of the two is visible at any time).

## Method Summary

Modifier and Type
Method
Description
`static ItemLabelPositioning`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ItemLabelPositioning[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FRONT_AND_BACK

public static final ItemLabelPositioning FRONT_AND_BACK
Labels are placed at the front and the back (typically only one of the two is visible at any time).

### CENTRAL

public static final ItemLabelPositioning CENTRAL
A single label is placed centrally.

## Method Details

### values

public static ItemLabelPositioning[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ItemLabelPositioning valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null